# Path to a directory with all packages.
storage: ./storage

# Maximum body size for a JSON document.
max_body_size: 1000mb

auth:
  htpasswd:
    file: ./htpasswd

# a list of other known repositories we can talk to
uplinks:
  npmjs:
    url: https://registry.npmjs.org/

# Enable messaging so node can tell when verdaccio starts.
# https://verdaccio.org/docs/verdaccio-programmatically/#using-fork-from-child_process-module
_debug: true

# Fine-grained control of package access, we set it
# to allow all users to read and publish all packages.
packages:
  '@tensorflow/**':
    access: $all
    publish: $all
    proxy: npmjs
  '@*/*':
    access: $all
    publish: $all
    proxy: npmjs
  '**':
    access: $all
    publish: $all
    # If package is not available locally, proxy requests to 'npmjs' registry
    proxy: npmjs

# Log settings.
logs:
  - {type: stdout, format: pretty, level: http}

listen:
  - 127.0.0.1:4873
